FileHost.net provides a simple HTTP API to integrate ours into your business or application. All requests to the API should be only GET or POST You can find your API key here - https://filehost.net/settings
API درخواستوں کی حد 10 فی سیکنڈ ہے - مزید درخواستوں کے لیے ہم سے رابطہ کریں
{"msg":"Too Many Requests","status":"429"}
اپنے اکاؤنٹ کی بنیادی معلومات حاصل کریں
GET
https://filehost.net/api/account/info?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"email": "[email protected]",
"balance": "0.00000",
"storage_used" :"24186265",
"storage_left": 128824832615,
"premim_expire": "2026-03-12 21:00:00
}
}
اپنے اکاؤنٹ کی رپورٹس حاصل کریں (ڈیفالٹ آخری 7 دن)
GET
https://filehost.net/api/account/stats?key={your_api_key}
key
last
from_date
to_date
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"profit_views": "0.00000",
"downloads": "0",
"views": "0",
"day": "2026-03-12",
"profit_total": "0.00000"
},
{
"profit_views": "0.00000",
"downloads": "0",
"views": "0",
"day": "2026-03-12",
"profit_total": "0.00000"
}
]
}
DMCA رپورٹ شدہ فائلوں کی فہرست حاصل کریں (فی صفحہ 500 نتائج)
GET
https://filehost.net/api/dmca/list?key={your_api_key}
key
per_page
page
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"reported_on": "2026-03-12 04:30:07",
"protected_download": "yyy",
"protected_embed": "zzz",
"file_code": "xxx",
"fld_id": "0",
"disabled_on": "2026-03-12 05:00:07"
}
]
}
API سے لوکل فائلیں اپ لوڈ کریں
GET
https://filehost.net/api/upload/server?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "https://filehost.net/api/upload/server/01?key={your_api_key}"
}
curl -X POST -F 'api_key={your_api_key}' -F '[email protected]' "https://filehost.net/api/upload/server/01?key={your_api_key}"
<form enctype="multipart/form-data" action="https://filehost.net/api/upload/server/01?key={your_api_key}" method="post">
<input type="hidden" name="api_key" value="{your_api_key}">
<input name="file" type="file">
<input type="submit">
</form>
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"download_url": "https://filehost.net/d/xxx",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"status": 200,
"filecode": "xxx",
"splash_img": "../assets/img/examples/splash/xxx.jpg",
"canplay": 1,
"size": "123456",
"length": "123456",
"uploaded": "2026-03-12 04:30:07",
"protected_embed": "https://filehost.net/e/yyy",
"protected_dl": "https://filehost.net/d/zzz",
"title": "test_file"
}
]
}
اپنی یا کسی اور کی فائل کاپی / کلون کریں
GET
https://filehost.net/api/file/clone?key={your_api_key}
key
file_code
fld_id
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"embed_url": "https://filehost.net/e/xxx",
"download_url": "https://filehost.net/d/xxx",
"protected_download": "https://filehost.net/d/yyy",
"protected_embed": "https://filehost.net/e/zzz",
"filecode": "xxx"
}
}
بڑی فائلیں حصوں میں بھیجیں۔ ناکام حصہ دوبارہ بھیج دیا جاتا ہے، اور رکی ہوئی اپ لوڈ اسی نام، سائز اور ترمیم کے وقت کے ساتھ دوبارہ شروع کرنے پر وہیں سے جاری رہتی ہے جہاں رکی تھی (48 گھنٹوں کے اندر)۔
POST
https://filehost.net/api/uploads/chunked?key={your_api_key}
namesizemodifiedfolder_id
{
"status": "ok",
"upload_id": "up_8fe75a942bd003f06095",
"chunk_bytes": 8388608,
"chunk_count": 13,
"missing": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]
}
# part N = bytes N*chunk_bytes up to (N+1)*chunk_bytes, as the raw request body
curl -X POST --data-binary @part-0.bin -H "Content-Type: application/octet-stream" \
"https://filehost.net/api/uploads/chunked/{upload_id}/0?key={your_api_key}"
curl -X POST "https://filehost.net/api/uploads/chunked/{upload_id}/complete?key={your_api_key}"
{
"status": "ok",
"kind": "video",
"code": "xxx"
}
ڈائریکٹ لنکس سے فائلیں اپ لوڈ کریں
GET
https://filehost.net/api/upload/url?key={your_api_key}&url={upload_url}
key
url
fld_id
new_title
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"new_title": "",
"status": 200,
"total_slots": "100",
"result": {
"filecode": "98zukoh5jqiw"
},
"used_slots": "0"
}
ریموٹ اپ لوڈ فہرست اور حالت
GET
https://filehost.net/api/urlupload/list?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"bytes_total": "0",
"created": "2026-03-12 04:30:07",
"remote_url": "https://dropbox.com/hukbasd7k3fd",
"status": "working",
"file_code": "98zukoh5jqiw",
"bytes_downloaded": "0",
"folder_id": "0"
}
]
}
ریموٹ اپ لوڈ کی حالت
GET
https://filehost.net/api/urlupload/status?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"bytes_total": "0",
"created": "2026-03-12 04:30:07",
"remote_url": "https://dropbox.com/hukbasd7k3fd",
"status": "working",
"file_code": "hjsnr087johj",
"bytes_downloaded": "0",
"folder_id": "0"
}
]
}
ریموٹ اپ لوڈ کے کل اور استعمال شدہ سلاٹس
GET
https://filehost.net/api/urlupload/slots?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"total_slots": "100",
"used_slots": "10"
}
ریموٹ اپ لوڈ پر مختلف کارروائیاں کریں
GET
https://filehost.net/api/urlupload/actions?key={your_api_key}
key
restart_errors
clear_errors
clear_all
delete_code
{
"msg": "Errors restarted",
"server_time": "2026-03-12 04:30:07",
"status": 200
}
فولڈر بنائیں
GET
https://filehost.net/api/folder/create?key={your_api_key}
key
name
parent_id
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"fld_id": "1234567"
}
}
تمام فولڈرز دکھائیں
GET
https://filehost.net/api/folder/rename?key={your_api_key}
key
fld_id
name
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
تمام فولڈرز دکھائیں
GET
https://filehost.net/api/folder/list?key={your_api_key}
key
fld_id
only_folders
{
"msg":"OK",
"status":200,
"result":{
"folders":[
{
"name":"Folder name",
"code":"67299gduj3",
"fld_id":"123"
},
],
"files": [
{
"download_url": "https://filehost.net/d/xxx",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"file_code": "xxx",
"canplay": 1,
"length": "1234",
"views": "1",
"uploaded": "2026-03-12 04:30:07",
"public": "1",
"fld_id": "0",
"title": "test_file"
}
],
},
"server_time":"2026-03-12 07:31:01"
}
تمام فائلیں دکھائیں
GET
https://filehost.net/api/file/list?key={your_api_key}
key
page
per_page
fld_id
created
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"total_pages": 1,
"files": [
{
"download_url": "https://filehost.net/d/xxx",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"file_code": "xxx",
"canplay": 1,
"length": "1234",
"views": "1",
"uploaded": "2026-03-12 04:30:07",
"public": "1",
"fld_id": "0",
"title": "test_file"
}
],
"results_total": "1",
"results": 1
}
}
اپنی فائل کی حالت دیکھیں
GET
https://filehost.net/api/file/check?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"status": "Active",
"filecode": "xxx"
}
]
}
فائل کی معلومات لیں
GET
https://filehost.net/api/file/info?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"status": 200,
"filecode": "xxx",
"splash_img": "../assets/img/examples/splash/xxx.jpg",
"canplay": 1,
"size": "123456",
"views": "0",
"length": "123456",
"uploaded": "2026-03-12 04:30:07",
"last_view": "",
"protected_embed": "/e/yyy",
"protected_dl": "/d/zzz",
"title": "test_file"
}
]
}
فائل کی اسپلیش، سنگل یا تھمب نیل تصویر حاصل کریں
GET
https://filehost.net/api/file/image?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"status": 200,
"filecode": "xxx",
"title": "test_file",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"thumb_img": "../assets/img/examples/thumbnails/xxx.jpg",
"splash_img": "../assets/img/examples/splash/xxx.jpg"
}
]
}
فائل کا نام بدلیں
GET
https://filehost.net/api/file/rename?key={your_api_key}
key
file_code
title
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
اپنی فائل ایک فولڈر سے دوسرے میں منتقل کریں
GET
https://filehost.net/api/file/move?key={your_api_key}
key
file_code
fld_id
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
اپنی فائلیں تلاش کریں
GET
https://filehost.net/api/search/videos?key={your_api_key}
key
search_term
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
اسپلیش امیج براہِ راست URL سے لوڈ کریں
URL
https://filehost.net/e/xxx?c_poster=https://example.com/image.jpg
c_poster
متعدد سب ٹائٹلز براہِ راست URL سے لوڈ کریں
URL
https://filehost.net/e/xxx?c1_file=https://example.com/sub.vtt&c1_label=English
c1_file
c1_label
JSON فارمیٹ میں URL سے متعدد سب ٹائٹلز لوڈ کریں
URL
https://filehost.net/e/xxx?subtitle_json=https://example.com/sub.json
subtitle_json
[
{"src":"https://example.com/name_en.vtt", "label":"English", default: true},
{"src":"https://example.com/name_fr.vtt", "label":"French"}
]
جلد آ رہا ہے۔
جلد آ رہا ہے۔
API تک رسائی اور انضمام میں مدد کے لیے [email protected] سے رابطہ کریں۔